%global momorel 3

Summary: Free patch set for MIDI audio synthesis
Name: freepats
Version: 20040611
Release: %{momorel}m
License: GPL and see "README"
URL: http://freepats.opensrc.org/
Group: Applications/Multimedia
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: http://freepats.opensrc.org/%{name}-%{version}.tar.bz2
NoSource: 0

%description
Freepats is a free patch set suitable for MIDI audio synthesis.
It is not complete, nor comprehensive yet, and most, if not all
patches are in the old and limited GUS patch format.

%package cfg
Summary: timidity.cfg file for freepats
Group: Applications/Multimedia
License: GPL
Provides: TiMidity++GUS
Provides: guspat
Requires: %{name} = %{version}-%{release}

%description cfg
timidity.cfg file for freepats

%prep
%setup -q -n freepats

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/freepats
cp -R Tone_* Drum_* %{buildroot}%{_datadir}/freepats

mkdir -p %{buildroot}%{_datadir}/timidity
chmod 755 %{buildroot}%{_datadir}/timidity
echo "dir %{_datadir}/freepats" | \
cat - freepats.cfg > %{buildroot}%{_datadir}/timidity/timidity.cfg
chmod 644 %{buildroot}%{_datadir}/timidity/timidity.cfg

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%doc *.cfg
%attr(755,root,root) %dir %{_datadir}/freepats
%attr(755,root,root) %dir %{_datadir}/freepats/*
%attr(644,root,root) %{_datadir}/freepats/*/*

%files cfg
%defattr(-,root,root)
%dir %{_datadir}/timidity
%config %{_datadir}/timidity/timidity.cfg

%changelog
* Mon Dec 13 2004 TAKAHASHI Tamotsu <tamo>
- (20040611-3m)
- sorry, 2m was my mistake. revert!

* Mon Dec 13 2004 TAKAHASHI Tamotsu <tamo>
- (20040611-2m)
- /usr/share/timidity/timidity.cfg -> /etc/timidity.cfg

* Mon Dec 13 2004 TAKAHASHI Tamotsu <tamo>
- (20040611-1m)
- import from debian.
  guspat is nonfree.
  freepats is free (but incomplete).
- freepats can be installed along with guspat.
  freepats-cfg conflicts with guspat
